Bug 356951 - Teach rhn-register to know about multiple z stream channels per redhat-release
Summary: Teach rhn-register to know about multiple z stream channels per redhat-release
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
(Show other bugs)
Version: rhn500
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Denise Hughes
URL:
Whiteboard: US=18022
Keywords: Reopened
Depends On:
Blocks: 345571 496667 502915 rhn-sprint25
TreeView+ depends on / blocked
 
Reported: 2007-10-29 17:00 UTC by James Bowes
Modified: 2018-10-19 19:23 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 502915 (view as bug list)
Environment:
Last Closed: 2009-08-12 14:30:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-10-29 17:00:50 UTC
We need to be able to support associating 1 or more redhat-release version
release pairs with a channel for EUS. rhel 4.5 may have 2 versions of redhat
release during its lifetime, and rhel 4.6 must know about the rhel 4.6
redhat-release, as well as the 4.5 redhat-release (for providing zstream channel
choices to the client).

Comment 1 James Bowes 2009-04-20 19:08:40 UTC
It would be worth checking if we can do this via some logic in the application, rather than by adding more data to juggle around

Comment 3 James Bowes 2009-05-26 19:08:56 UTC
Updating the bug summary to reflect our current thoughts on fixing

Comment 5 Eiji Sakamoto 2009-06-01 06:57:36 UTC
Problem: RHEL EUS {5.1.z and 5.2.z} do not appear on base software channel page of RHN.

[Current workaround]
In order to visible the "5.2.z", a targeted system's base channel once has to take
off, so choose "NONE" first. After the base channel has been "NONE", all channels (None, RHEL (non EUS), and RHEL 5.{1,2,3}.z) will be appeared in a drop down menu and being possible to assign.

Comment 6 Denise Hughes 2009-06-08 17:51:57 UTC
Verified in webdev.

Comment 7 Garik Khachikyan 2009-07-01 15:47:15 UTC
# VERIFIED 
version: 20090625.0

All the scenarios described in Comment#4 are checked and fine on webqa.

The point with selecting EUS while registering through rhn_register is working and after it's still possible to return to the Base channel (it's available if you first choose "NONE" and then return to Base RHEL5 channel).

Comment 8 Denise Hughes 2009-07-28 20:37:30 UTC
Verified in webqa.

Comment 9 Eiji Sakamoto 2009-08-11 01:42:12 UTC
Fujitsu requires that select any of base channel RHEL EUS {5.1.z, 5.2.z and
5.3.z} directly from standard base channel without assigned "NONE" first. 

It seems still All RHEL EUS {5.1.z, 5.2.z and 5.3.z} do not appeared at once 
when a standard base channel is assigned. Please review and solve this problem thanks.

Comment 10 Denise Hughes 2009-08-12 14:30:29 UTC
Setting bug back to Closed CurrentRelease.  Eiji, it is not possible to go backwards for EUS as it would break updates.


Note You need to log in before you can comment on or make changes to this bug.